StoryPepewe/urls.py
from django.contrib import admin
from django.urls import path
from django.conf.urls import include
from live_coding.views import tampil

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story_app.urls')),
    path('', include('story_app_6.urls')),
    path('', include('story_app_7.urls')),
    path('', include('story_app_8.urls')),
    path('', include('story_app_9.urls')),
    path('test/', tampil)
]

story_app/urls.py
from django.urls import path
from .views import home, cv, demo, aboutme, form, display, detail, delete_view

urlpatterns = [
    path('home/', home, name='home'),
    path('cv/', cv, name='cv'),
    path('about-me/', aboutme, name='about-me'),
    path('demo/', demo, name='demo'),
    path('forms/', form, name='form'),
    path('display/', display, name='display'),
    path('display/<int:my_id>/', detail, name='detail'),
    path('display/<int:my_id>/delete', delete_view, name='delete')
]

story_app_9/urls.py
from django.urls import path
from django.contrib.auth import views as auth
from .views import register

app_name ='story_app_9'
urlpatterns = [
    path('', auth.LoginView.as_view(template_name='login.html'), name='login'),
    path('logout/', auth.LogoutView.as_view(template_name='logout.html'), name='logout'),
    path('register/', register, name='register')
]

story_app_9/models.py
from django.db import models

# Create your models here.

story_app_9/forms.py
from django import forms
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm
from django.forms import widgets, TextInput, EmailInput, PasswordInput

class FormRegister(UserCreationForm):
    first = forms.CharField(widget=TextInput(attrs={'class':'form-control form-control-sm', 'required': True}))
    last = forms.CharField(widget=TextInput(attrs={'class':'form-control form-control-sm', 'required': True}))
    email = forms.EmailField(widget=EmailInput(attrs={'class':'form-control form-control-sm', 'required': True}))

    class Meta:
        model = User
        fields = ['first', 'last', 'username', 'email', 'password1', 'password2']

        widgets = {
            'username' : TextInput(attrs={'class':'form-control form-control-sm', 'required': True}),
            'password1' : PasswordInput(attrs={'class':'form-control form-control-sm', 'required': True}),
            'password2' : PasswordInput(attrs={'class':'form-control form-control-sm', 'required': True})
        }

story_app_9/views.py
from django.shortcuts import render, redirect
from django.contrib import messages
from .forms import FormRegister

def register(request):
    if request.method == 'POST':
        form = FormRegister(request.POST)
        if form.is_valid():
            form.save()
            username = form.cleaned_data.get('username')
            messages.success(request, f'Account Created for {username}!')
            return redirect('story_app_9:login')
    else:
        form = FormRegister()
    context = {'form' : form}
    return render(request, 'register.html', context)

story_app_9/templates/base2.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Welcome To My Web</title>
</head>
<link href="{% static  'css/style.css' %}" rel="stylesheet" type="text/css">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
<body>
    <ul class="topnav">
        <li><a href="{% url 'story_app_9:login' %}">Login</a></li>
        <li><a href="{% url 'story_app_9:register' %}">Register</a></li>
    </ul>

    {% block content %}
    {% endblock  %}
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>   
</body>
</html>

story_app_9/templates/login.html
{% extends 'base2.html' %}
{% load crispy_forms_tags %}
{% load static %}
{% block content %}

    <div class='container'>
    <br>
        {% if messages %}
            {% for message in messages %}
                <div class="alert alert-{{ message.tags }}">
                    {{ message }}
                </div>
            {% endfor %}
        {% endif %}

        <form method = 'POST'>
        {% csrf_token %}
        {{ form|crispy }}
        <input class="btn btn-light" type="submit" value="Register">
        </form>
    </div>

{% endblock  %}

story_app_9/templates/logout.html
{% extends 'base2.html' %}
{% load crispy_forms_tags %}
{% load static %}
{% block content %}

    <div class='container'>
        <div class="container">
        <h2> You have been logged out</h2>
        <p> Click <a href="{% url 'story_app_9:login' %}"> here to login again</p>
    </div>

{% endblock  %}

story_app_9/templates/register.html
{% extends 'base2.html' %}
{% load crispy_forms_tags %}
{% load static %}
{% block content %}

    <div class='container'>
    <br>
        <form method = 'POST'>
        {% csrf_token %}
        {{ form|crispy }}
        <input class="btn btn-light" type="submit" value="Register">
        </form>
    </div>

{% endblock  %}